Object Detection using Template

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables
Protected Attributes | List of all members
cz.vutbr.feec.novak68.extractors.HOGbaseExtractor Class Referenceabstract
Inheritance diagram for cz.vutbr.feec.novak68.extractors.HOGbaseExtractor:
[legend]
Collaboration diagram for cz.vutbr.feec.novak68.extractors.HOGbaseExtractor:
[legend]

## Protected Attributes
HOG | hogTemplate
HOG | hogTest
int | width
int | cellSizeX
int | cellSizeY
int | numOfBins
BufferedWriter | output

## Additional Inherited Members
Public Member Functions inherited from cz.vutbr.feec.novak68.extractors.HOGextractor
void | extractProperies (ImagePlus img, char folder) throws IOException
void | extractProperies (ImagePlus img, MyProcess process, String coordinates, boolean useVariance) throws IOException

## Detailed Description

Class contains main variables used for HOG extraction

Author
  xnovak68

Definition at line 11 of file HOGbaseExtractor.java.

## Member Data Documentation

int cz.vutbr.feec.novak68.extractors.HOGbaseExtractor.cellSizeX
| protected

Definition at line 16 of file HOGbaseExtractor.java.

Referenced by cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.extractProperies(), and cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.SimpleHogPropertyExtractor().

int cz.vutbr.feec.novak68.extractors.HOGbaseExtractor.cellSizeY
| protected

Definition at line 17 of file HOGbaseExtractor.java.

Referenced by cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.extractProperies(), and cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.SimpleHogPropertyExtractor().

HOG cz.vutbr.feec.novak68.extractors.HOGbaseExtractor.hogTemplate
| protected

Definition at line 12 of file HOGbaseExtractor.java.

Referenced by cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.extractProperies(), and cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.SimpleHogPropertyExtractor().

HOG cz.vutbr.feec.novak68.extractors.HOGbaseExtractor.hogTest
| protected

Definition at line 13 of file HOGbaseExtractor.java.

Referenced by cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.extractProperies().

int cz.vutbr.feec.novak68.extractors.HOGbaseExtractor.numOfBins
| protected

Definition at line 18 of file HOGbaseExtractor.java.

Referenced by cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.extractProperies(), and cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.SimpleHogPropertyExtractor().

BufferedWriter cz.vutbr.feec.novak68.extractors.HOGbaseExtractor.output
| protected

Definition at line 20 of file HOGbaseExtractor.java.

int cz.vutbr.feec.novak68.extractors.HOGbaseExtractor.width
| protected

Definition at line 15 of file HOGbaseExtractor.java.

Referenced by cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.extractProperies(), and cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.SimpleHogPropertyExtractor().

The documentation for this class was generated from the following file:

- src/cz/vutbr/feec/novak68/extractors/HOGbaseExtractor.java